Bug 16207 - installation fails unnecessarily
installation fails unnecessarily
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-14 21:02 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 11:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-14 21:02:31 EDT
The redhat pinstripe installation can fail without good cause during
the installation process.

Boot the CD and choose either the install or upgrade install path, they
both fail.  During the installation the script will attempt to
read the partition table in all of the hard drives in the system.

I have one hard drive connected via a Promise IDE controller card which
currently uses the PDC20262 device for access.  There is nothing on this
hard drive that I need to do a redhat install, and I would be happy
to patch the kernel after doing a redhat pinstripe install to other hard
drives, in order to support this controller.  It is not supported by
default in the kernel redhat pinstripe is booting.

However, the redhat install tries to mount file systems on this drive and
discovers they are not available.  This causes it to fail and does not
allow the installation to continue.
The install process should detect that this is a non-critical failure, or
ask the user if the failure is critical or non-critical.  The installation
could then be continued without problem.
Comment 1 Michael Fulbright 2000-08-15 18:39:22 EDT
What kind of messages are given when the install fails?
Comment 2 Need Real Name 2000-08-16 21:29:52 EDT
Error message doing upgrade is
``Error mounting hde1: Block device required''
Following that is:
``One or more of the filesystems listed in /etc/fstab cannot be mounted. Please
fix this problem and try to upgrade again.''
Comment 3 Michael Fulbright 2000-08-17 11:10:09 EDT
Just remove the drive from the /etc/fstab file and proceed with the upgrade.

Note You need to log in before you can comment on or make changes to this bug.